Subject: Re: CPM uart

From: Ricardo Scop <[email-masked]>
Date: Thu, 14 Apr 2005 20:24:41 -0300

Hi Marco,

On Thursday 14 April 2005 09:54, Marco Schramel wrote:
> Hi Dan,
>
> thanks for your answer.
>
> > > During booting kernel hangs on initializing ttyS2 forever.
> >
> > That is the console port, so take a look at the code for its
> > initialization for something affected by this configuration.
> > What kernel are you using?  There have been lots of
> > updates in recent versions.
>
> I use kernel version 2.4.25 of denx and the uart version is
                       ^^^^^^^^^^^^^^

Perusing that code, I can see that the console routines assume that there are 
_no_ SMC ports initialized before the SCC ports in rs_table. This should be 
fixed before attempting to run your system again.

I suggest you to seek all smc_scc_num references inside both the console 
routines and the #ifdef SCC_CONSOLE ... #endif code snippets. They should be 
subtracted by SCC_NUM_BASE whenever they're used to access SCC-related stuff, 
AFAIK.

HTH,

Ricardo Scop.

        \|/
    ___ -*-
   (@ @)/|\
  /  V  \|  R SCOP Consult.
 /(     )\  Linux-based communications
--^^---^^+------------------------------
[email-masked]
+55 51 999-36-777
Porto Alegre, RS - BRazil